VBUTIL_KERNEL(1)

NAME
vbutil_kernel - Utility to sign custom kernels to boot with Chrome OS devices

SYNOPSIS
futility /usr/bin/vbutil_kernel --pack <file> [PARAMETERS]

DESCRIPTION

    Required parameters:

--keyblock <file>
    Key block in .keyblock format

--signprivate <file>
    Private key to sign kernel data, in .vbprivk format

--version <number>
    Kernel version

--vmlinuz <file>
    Linux kernel bzImage file

--bootloader <file>
    Bootloader stub

--config <file>
    Command line file

--arch <arch>
    Cpu architecture (default x86)

    Optional:

--kloadaddr <address>
    Assign kernel body load address

--pad <number>
    Verification padding size in bytes

--vblockonly
    Emit just the verification blob

--flags NUM
    Flags to be passed in the header

OR

Usage: futility /usr/bin/vbutil_kernel --repack <file> [PARAMETERS]

    Required parameters:

--signprivate <file>
    Private key to sign kernel data, in .vbprivk format

--oldblob <file>
    Previously packed kernel blob (including verification blob)

    Optional:

--keyblock <file>
    Key block in .keyblock format

--config <file>
    New command line file

--version <number>
    Kernel version

--kloadaddr <address>
    Assign kernel body load address

--pad <number>
    Verification blob size in bytes

--vblockonly
    Emit just the verification blob

OR

Usage: futility /usr/bin/vbutil_kernel --verify <file> [PARAMETERS]

    Optional:

--signpubkey <file>
    Public key to verify kernel keyblock, in .vbpubk format

--verbose
    Print a more detailed report

--keyblock <file>
    Outputs the verified key block, in .keyblock format

--pad <number>
    Verification padding size in bytes

--minversion <number>
    Minimum combined kernel key version

OR

Usage: futility /usr/bin/vbutil_kernel --get-vmlinuz <file> [PARAMETERS]

    Required parameters:

--vmlinuz-out <file>
    vmlinuz image output file

Usage: futility /usr/bin/vbutil_kernel --pack <file> [PARAMETERS]

    Required parameters:

--keyblock <file>
    Key block in .keyblock format

--signprivate <file>
    Private key to sign kernel data, in .vbprivk format

--version <number>
    Kernel version

--vmlinuz <file>
    Linux kernel bzImage file

--bootloader <file>
    Bootloader stub

--config <file>
    Command line file

--arch <arch>
    Cpu architecture (default x86)

    Optional:

--kloadaddr <address>
    Assign kernel body load address

--pad <number>
    Verification padding size in bytes

--vblockonly
    Emit just the verification blob

--flags NUM
    Flags to be passed in the header

OR

Usage: futility /usr/bin/vbutil_kernel --repack <file> [PARAMETERS]

    Required parameters:

--signprivate <file>
    Private key to sign kernel data, in .vbprivk format

--oldblob <file>
    Previously packed kernel blob (including verification blob)

    Optional:

--keyblock <file>
    Key block in .keyblock format

--config <file>
    New command line file

--version <number>
    Kernel version

--kloadaddr <address>
    Assign kernel body load address

--pad <number>
    Verification blob size in bytes

--vblockonly
    Emit just the verification blob

OR

Usage: futility /usr/bin/vbutil_kernel --verify <file> [PARAMETERS]

    Optional:

--signpubkey <file>
    Public key to verify kernel keyblock, in .vbpubk format

--verbose
    Print a more detailed report

--keyblock <file>
    Outputs the verified key block, in .keyblock format

--pad <number>
    Verification padding size in bytes

--minversion <number>
    Minimum combined kernel key version

OR

Usage: futility /usr/bin/vbutil_kernel --get-vmlinuz <file> [PARAMETERS]

    Required parameters:

--vmlinuz-out <file>
    vmlinuz image output file